<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateKorisnikTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_korisnikId}" for="korisnikId" />
                    <h:inputText id="korisnikId" value="#{korisnikController.selected.korisnikId}" title="#{bundle.CreateKorisnikTitle_korisnikId}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_korisnikId}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_username}" for="username" />
                    <h:inputText id="username" value="#{korisnikController.selected.username}" title="#{bundle.CreateKorisnikTitle_username}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_username}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_password}" for="password" />
                    <h:inputText id="password" value="#{korisnikController.selected.password}" title="#{bundle.CreateKorisnikTitle_password}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_password}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_email}" for="email" />
                    <h:inputText id="email" value="#{korisnikController.selected.email}" title="#{bundle.CreateKorisnikTitle_email}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_email}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_ime}" for="ime" />
                    <h:inputText id="ime" value="#{korisnikController.selected.ime}" title="#{bundle.CreateKorisnikTitle_ime}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_ime}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_prezime}" for="prezime" />
                    <h:inputText id="prezime" value="#{korisnikController.selected.prezime}" title="#{bundle.CreateKorisnikTitle_prezime}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_prezime}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_datumRodjenja}" for="datumRodjenja" />
                    <h:inputText id="datumRodjenja" value="#{korisnikController.selected.datumRodjenja}" title="#{bundle.CreateKorisnikTitle_datumRodjenja}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_datumRodjenja}">
                        <f:convertDateTime pattern="MM/dd/yyyy" />
                    </h:inputText>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_pol}" for="pol" />
                    <h:inputText id="pol" value="#{korisnikController.selected.pol}" title="#{bundle.CreateKorisnikTitle_pol}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_pol}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_aktivan}" for="aktivan" />
                    <h:inputText id="aktivan" value="#{korisnikController.selected.aktivan}" title="#{bundle.CreateKorisnikTitle_aktivan}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_aktivan}"/>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_zaposlen}" for="zaposlen" />
                    <h:selectOneMenu id="zaposlen" value="#{korisnikController.selected.zaposlen}" title="#{bundle.CreateKorisnikTitle_zaposlen}" >
                        <f:selectItems value="#{zaposlenController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                    <h:outputLabel value="#{bundle.CreateKorisnikLabel_rolaId}" for="rolaId" />
                    <h:selectOneMenu id="rolaId" value="#{korisnikController.selected.rolaId}" title="#{bundle.CreateKorisnikTitle_rolaId}" required="true" requiredMessage="#{bundle.CreateKorisnikRequiredMessage_rolaId}">
                        <f:selectItems value="#{rolaController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{korisnikController.create}" value="#{bundle.CreateKorisnikSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{korisnikController.prepareList}" value="#{bundle.CreateKorisnikShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateKorisnikIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
